Index: c/src/tests/sptests/sp13/system.h
===================================================================
--- c/src/tests/sptests/sp13/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp13/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:10:19 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp13/task1.c
===================================================================
--- c/src/tests/sptests/sp13/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp13/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -16,10 +16,33 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:10:20 joel Exp
  */
 
 #include "system.h"
+#include <string.h>             /* for memcmp */
 
 extern rtems_configuration_table BSP_Configuration;
+
+char    big_send_buffer[2048];
+char    big_receive_buffer[2048];
+
+long    buffer[ 4 ];
+
+void dope_buffer(unsigned char *buff,
+                 int   buff_size,
+                 unsigned32 v)
+{
+    int i;
+    unsigned char ch;
+
+    ch = (' ' + (v % (0x7f - ' ')));
+    
+    for (i=0; i<buff_size; i++)
+    {
+        *buff++ = ch++;
+        if (ch >= 0x7f)
+            ch = ' ';
+    }
+}
 
 rtems_task Task_1(
@@ -28,9 +51,11 @@
 {
   rtems_id          qid;
-  long              buffer[ 4 ];
   rtems_unsigned32  index;
   rtems_unsigned32  count;
   rtems_status_code status;
-
+  rtems_unsigned32  size;
+  rtems_unsigned32  queue_size;
+  char             *cp;
+  
   status = rtems_message_queue_ident(
     Queue_name[ 1 ],
@@ -43,10 +68,10 @@
   Fill_buffer( "BUFFER 1 TO Q 1", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 1 TO Q 1" );
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
   Fill_buffer( "BUFFER 2 TO Q 1", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 2 TO Q 1" );
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
@@ -57,5 +82,5 @@
   Fill_buffer( "BUFFER 3 TO Q 1", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 3 TO Q 1" );
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
@@ -68,5 +93,5 @@
   Fill_buffer( "BUFFER 1 TO Q 2", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 1 TO Q 2" );
-  status = rtems_message_queue_send( Queue_id[ 2 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 2 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
@@ -75,5 +100,6 @@
   status = rtems_message_queue_receive(
     Queue_id[ 1 ],
-    (long (*)[4])buffer,
+    buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     10 * TICKS_PER_SECOND
@@ -90,5 +116,5 @@
   Fill_buffer( "BUFFER 1 TO Q 3", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 1 TO Q 3" );
-  status = rtems_message_queue_send( Queue_id[ 3 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 3 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
@@ -101,20 +127,20 @@
   Fill_buffer( "BUFFER 2 TO Q 3", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 2 TO Q 3" );
-  status = rtems_message_queue_send( Queue_id[ 3 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 3 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
   Fill_buffer( "BUFFER 3 TO Q 3", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 3 TO Q 3" );
-  status = rtems_message_queue_send( Queue_id[ 3 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 3 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
   Fill_buffer( "BUFFER 4 TO Q 3", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 4 TO Q 3" );
-  status = rtems_message_queue_send( Queue_id[ 3 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 3 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
   Fill_buffer( "BUFFER 5 TO Q 3", buffer );
   puts( "TA1 - rtems_message_queue_urgent - BUFFER 5 TO Q 3" );
-  status = rtems_message_queue_urgent( Queue_id[ 3 ], (long (*)[4])buffer );
+  status = rtems_message_queue_urgent( Queue_id[ 3 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_urgent" );
 
@@ -126,5 +152,6 @@
     status = rtems_message_queue_receive(
       Queue_id[ 3 ],
-      (long (*)[4])buffer,
+      buffer,
+      &size,
       RTEMS_DEFAULT_OPTIONS,
       RTEMS_NO_TIMEOUT
@@ -138,5 +165,5 @@
   Fill_buffer( "BUFFER 3 TO Q 2", buffer );
   puts( "TA1 - rtems_message_queue_urgent - BUFFER 3 TO Q 2" );
-  status = rtems_message_queue_urgent( Queue_id[ 2 ], (long (*)[4])buffer );
+  status = rtems_message_queue_urgent( Queue_id[ 2 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_urgent" );
 
@@ -147,5 +174,6 @@
   status = rtems_message_queue_receive(
     Queue_id[ 2 ],
-    (long (*)[4])buffer,
+    buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
@@ -164,5 +192,5 @@
   Fill_buffer( "BUFFER 3 TO Q 2", buffer );
   puts( "TA1 - rtems_message_queue_urgent - BUFFER 3 TO Q 2" );
-  status = rtems_message_queue_urgent( Queue_id[ 2 ], (long (*)[4])buffer );
+  status = rtems_message_queue_urgent( Queue_id[ 2 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_urgent" );
 
@@ -177,15 +205,15 @@
   Fill_buffer( "BUFFER 1 TO Q 3", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 1 TO Q 3" );
-  status = rtems_message_queue_send( Queue_id[ 3 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 3 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
   Fill_buffer( "BUFFER 2 TO Q 3", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 2 TO Q 3" );
-  status = rtems_message_queue_send( Queue_id[ 3 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 3 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
   Fill_buffer( "BUFFER 3 TO Q 3", buffer );
   puts( "TA1 - rtems_message_queue_send - BUFFER 3 TO Q 3" );
-  status = rtems_message_queue_send( Queue_id[ 3 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 3 ], buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
@@ -196,6 +224,6 @@
   puts( "TA1 - rtems_message_queue_send until all message buffers consumed" );
   while ( FOREVER ) {
-    status = rtems_message_queue_send( Queue_id[ 3 ], (long (*)[4])buffer );
-    if ( status == RTEMS_UNSATISFIED ) break;
+    status = rtems_message_queue_send( Queue_id[ 3 ], buffer, 16 );
+    if ( status == RTEMS_TOO_MANY ) break;
     directive_failed( status, "rtems_message_queue_send loop" );
   }
@@ -206,7 +234,112 @@
   printf( "TA1 - %d messages were flushed from Q 3\n", count );
 
-  if ( count != BSP_Configuration.maximum_messages )
-    printf( "TA1 - ERROR - %d messages flushed!!!", count );
-
+pause();
+
+  puts( "TA1 - create message queue of 20 bytes on queue 1" );
+  status = rtems_message_queue_create(
+    Queue_name[ 1 ],
+    100,
+    20,
+    RTEMS_DEFAULT_ATTRIBUTES,
+    &Queue_id[ 1 ]
+  );
+  directive_failed( status, "rtems_message_queue_create of Q1; 20 bytes each" );
+  status = rtems_message_queue_send( Queue_id[ 3 ], big_send_buffer, 40 );
+  fatal_directive_status(status, RTEMS_INVALID_SIZE, "expected RTEMS_INVALID_SIZE");
+  
+  puts( "TA1 - rtems_message_queue_delete - delete queue 1" );
+  status = rtems_message_queue_delete( Queue_id[ 1 ] );
+  directive_failed( status, "rtems_message_queue_delete" );
+
+pause();
+  
+  puts( "TA1 - rtems_message_queue_create - variable sizes " );
+  for (queue_size = 1; queue_size < 1030; queue_size++)
+  {
+      status = rtems_message_queue_create(
+          Queue_name[ 1 ],
+          2,            /* just 2 msgs each */
+          queue_size,
+          RTEMS_DEFAULT_ATTRIBUTES,
+          &Queue_id[ 1 ]
+          );
+      if (status != RTEMS_SUCCESSFUL)
+      {
+          printf("TA1 - msq que size: %d\n", queue_size);
+          directive_failed( status, "rtems_message_queue_create of Q1" );
+      }
+
+      status = rtems_message_queue_delete( Queue_id[ 1 ] );
+      directive_failed( status, "rtems_message_queue_delete" );
+  }
+  
+pause();
+  
+  puts( "TA1 - rtems_message_queue_create and send - variable sizes " );
+  for (queue_size = 1; queue_size < 1030; queue_size++)
+  {
+      printf("TA1 - message queue size: %d\n", queue_size);
+
+      status = rtems_message_queue_create(
+          Queue_name[ 1 ],
+          2,            /* just 2 msgs each */
+          queue_size,
+          RTEMS_DEFAULT_ATTRIBUTES,
+          &Queue_id[ 1 ]
+          );
+
+      directive_failed( status, "rtems_message_queue_create of Q1" );
+
+      dope_buffer(big_send_buffer, sizeof(big_send_buffer), queue_size);
+      memset(big_receive_buffer, 'Z', sizeof(big_receive_buffer));
+
+      /* send a msg too big */
+      status = rtems_message_queue_send( Queue_id[ 1 ],
+                                         big_send_buffer,
+                                         queue_size + 1 );
+
+      fatal_directive_status(status,
+                             RTEMS_INVALID_SIZE,
+                             "rtems_message_queue_send too large");
+
+      /* send a msg that is just right */
+      status = rtems_message_queue_send(Queue_id[ 1 ],
+                                        big_send_buffer,
+                                        queue_size);
+      directive_failed(status, "rtems_message_queue_send exact size");
+
+      /* now read and verify the message just sent */
+      status = rtems_message_queue_receive(Queue_id[ 1 ],
+                                           big_receive_buffer,
+                                           &size,
+                                           RTEMS_DEFAULT_OPTIONS,
+                                           1 * TICKS_PER_SECOND);
+      directive_failed(status, "rtems_message_queue_receive exact size");
+      if (size != queue_size)
+      {
+          puts("TA1 - exact size size match failed");
+          exit(1);
+      }
+
+      if (memcmp(big_send_buffer, big_receive_buffer, size) != 0)
+      {
+          puts("TA1 - exact size data match failed");
+          exit(1);
+      }
+
+      for (cp = (big_receive_buffer + size);
+           cp < (big_receive_buffer + sizeof(big_receive_buffer));
+           cp++)
+          if (*cp != 'Z')
+          {
+              puts("TA1 - exact size overrun match failed");
+              exit(1);
+          }
+          
+      /* all done with this one; delete it */
+      status = rtems_message_queue_delete( Queue_id[ 1 ] );
+      directive_failed( status, "rtems_message_queue_delete" );
+  }
+  
   puts( "*** END OF TEST 13 ***" );
   exit( 0 );
Index: c/src/tests/sptests/sp13/task2.c
===================================================================
--- c/src/tests/sptests/sp13/task2.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp13/task2.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,5 +17,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task2.c,v 1.2 1995/05/31 17:10:22 joel Exp
  */
 
@@ -27,4 +27,5 @@
 {
   long                buffer[ 4 ];
+  rtems_unsigned32    size;
   rtems_task_priority previous_priority;
   rtems_status_code   status;
@@ -36,4 +37,5 @@
     Queue_id[ 1 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_NO_WAIT,
     RTEMS_NO_TIMEOUT
@@ -51,4 +53,5 @@
     Queue_id[ 1 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
@@ -66,4 +69,5 @@
     Queue_id[ 1 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
@@ -85,4 +89,5 @@
     Queue_id[ 2 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
@@ -97,5 +102,5 @@
   directive_failed( status, "rtems_message_queue_send" );
 
-  status = rtems_message_queue_send( Queue_id[ 2 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 2 ], (long (*)[4])buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
@@ -107,4 +112,5 @@
     Queue_id[ 1 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     10 * TICKS_PER_SECOND
@@ -122,4 +128,5 @@
     Queue_id[ 3 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
Index: c/src/tests/sptests/sp13/task3.c
===================================================================
--- c/src/tests/sptests/sp13/task3.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp13/task3.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,5 +17,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task3.c,v 1.2 1995/05/31 17:10:24 joel Exp
  */
 
@@ -27,4 +27,5 @@
 {
   long              buffer[ 4 ];
+  rtems_unsigned32  size;
   rtems_unsigned32  count;
   rtems_status_code status;
@@ -37,4 +38,5 @@
     Queue_id[ 2 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
@@ -50,4 +52,5 @@
     Queue_id[ 1 ],
     (long (*)[4])buffer,
+    16,
     &count
   );
@@ -61,4 +64,5 @@
     Queue_id[ 3 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
Index: c/src/tests/sptests/sp14/system.h
===================================================================
--- c/src/tests/sptests/sp14/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp14/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:10:37 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp15/system.h
===================================================================
--- c/src/tests/sptests/sp15/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp15/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:10:52 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp16/system.h
===================================================================
--- c/src/tests/sptests/sp16/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp16/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:11:05 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp17/system.h
===================================================================
--- c/src/tests/sptests/sp17/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp17/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:11:26 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp19/fptest.h
===================================================================
--- c/src/tests/sptests/sp19/fptest.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp19/fptest.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -23,5 +23,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  fptest.h,v 1.2 1995/05/31 17:11:39 joel Exp
  */
 
Index: c/src/tests/sptests/sp19/inttest.h
===================================================================
--- c/src/tests/sptests/sp19/inttest.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp19/inttest.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -24,5 +24,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  inttest.h,v 1.2 1995/05/31 17:11:44 joel Exp
  */
 
Index: c/src/tests/sptests/sp19/system.h
===================================================================
--- c/src/tests/sptests/sp19/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp19/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:11:47 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp20/system.h
===================================================================
--- c/src/tests/sptests/sp20/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp20/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:12:02 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp21/system.h
===================================================================
--- c/src/tests/sptests/sp21/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp21/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:12:14 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp21/task1.c
===================================================================
--- c/src/tests/sptests/sp21/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp21/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -16,5 +16,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.3 1995/05/31 17:37:05 joel Exp
  */
 
@@ -30,29 +30,28 @@
 {
   rtems_status_code status;
-  rtems_status_code return_value;
 
   puts( "-----  TESTING THE NULL DRIVER CHECKS  -----" );
 
-  status = rtems_io_initialize( NO_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_initialize( NO_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_initialize" );
   puts( "TA1 - rtems_io_initialize  - NULL DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_open( NO_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_open( NO_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_open" );
   puts( "TA1 - rtems_io_open        - NULL DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_close( NO_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_close( NO_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_close" );
   puts( "TA1 - rtems_io_close       - NULL DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_read( NO_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_read( NO_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_read" );
   puts( "TA1 - rtems_io_read        - NULL DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_write( NO_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_write( NO_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_write" );
   puts( "TA1 - rtems_io_write       - NULL DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_control( NO_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_control( NO_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_control" );
   puts( "TA1 - rtems_io_control     - NULL DRIVER RTEMS_SUCCESSFUL" );
@@ -60,25 +59,25 @@
   puts( "-----  TESTING THE I/O MANAGER DIRECTIVES  -----" );
 
-  status = rtems_io_initialize( STUB_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_initialize( STUB_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_initialize" );
   puts( "TA1 - rtems_io_initialize  - STUB DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_open( STUB_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_open( STUB_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_open" );
   puts( "TA1 - rtems_io_open        - STUB DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_close( STUB_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_close( STUB_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_close" );
   puts( "TA1 - rtems_io_close       - STUB DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_read( STUB_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_read( STUB_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_read" );
   puts( "TA1 - rtems_io_read        - STUB DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_write( STUB_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_write( STUB_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_write" );
   puts( "TA1 - rtems_io_write       - STUB DRIVER RTEMS_SUCCESSFUL" );
 
-  status = rtems_io_control( STUB_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_control( STUB_DRIVER_MAJOR, 0, NULL );
   directive_failed( status, "rtems_io_control" );
   puts( "TA1 - rtems_io_control     - STUB DRIVER RTEMS_SUCCESSFUL" );
@@ -86,5 +85,5 @@
   puts( "-----  RETURNING INVALID MAJOR NUMBER -----" );
 
-  status = rtems_io_initialize( INVALID_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_initialize( INVALID_DRIVER_MAJOR, 0, NULL );
   fatal_directive_status(
     status,
@@ -94,5 +93,5 @@
   puts( "TA1 - rtems_io_initialize  - RTEMS_INVALID_NUMBER" );
 
-  status = rtems_io_open( INVALID_DRIVER_MAJOR, 0, NULL, &return_value );
+  status = rtems_io_open( INVALID_DRIVER_MAJOR, 0, NULL );
   fatal_directive_status(
     status,
Index: c/src/tests/sptests/sp22/system.h
===================================================================
--- c/src/tests/sptests/sp22/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp22/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:12:31 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp23/system.h
===================================================================
--- c/src/tests/sptests/sp23/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp23/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:12:45 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp24/system.h
===================================================================
--- c/src/tests/sptests/sp24/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp24/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:13:00 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp25/system.h
===================================================================
--- c/src/tests/sptests/sp25/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp25/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:13:11 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/spfatal/system.h
===================================================================
--- c/src/tests/sptests/spfatal/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/spfatal/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:13:28 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/spsize/size.c
===================================================================
--- c/src/tests/sptests/spsize/size.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/spsize/size.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  size.c,v 1.4 1995/07/12 19:47:25 joel Exp
  */
 
@@ -67,5 +67,5 @@
 #define PER_MSGQ      \
      (sizeof (Message_queue_Control) + NAME_PTR_SIZE)
-#define PER_MSG       \
+#define PER_MSG_OVERHEAD       \
      (sizeof (Message_queue_Buffer_control))
 #define PER_REGN      \
@@ -241,6 +241,5 @@
                 (sizeof _ISR_Signals_to_thread_executing) +
 
-/*message.h*/   (sizeof _Message_queue_Inactive_messages) +
-                (sizeof _Message_queue_Information)       +
+/*message.h*/   (sizeof _Message_queue_Information)       +
 
 /*modes.h*/     0                                         +
@@ -423,5 +422,5 @@
 int maximum_timers, size_timers;
 int maximum_msgqs, size_msgqs;
-int maximum_msgs, size_msgs;
+int maximum_msgs, size_msgs_overhead;
 int maximum_regns, size_regns;
 int maximum_parts, size_parts;
@@ -458,6 +457,6 @@
 printf( "What is maximum_messages? " );
 maximum_msgs = getint();
-size_msgs = PER_MSG * maximum_msgs;
-total_size += size_msgs;
+size_msgs_overhead = PER_MSG_OVERHEAD * maximum_msgs;
+total_size += size_msgs_overhead;
 
 printf( "What is maximum_regions? " );
@@ -546,6 +545,6 @@
 printf( " Msg Queues           - %03d * %03d            =  %d\n",
           maximum_msgqs, PER_MSGQ, size_msgqs );
-printf( " Messages             - %03d * %03d            =  %d\n",
-          maximum_msgs, PER_MSG, size_msgs );
+printf( " Messages Overhead    - %03d * %03d            =  %d\n",
+          maximum_msgs, PER_MSG_OVERHEAD, size_msgs_overhead );
 printf( " Regions              - %03d * %03d            =  %d\n",
           maximum_regns, PER_REGN, size_regns);
@@ -587,5 +586,5 @@
 printf( " Semaphores           - maximum_semaphores * %d\n", PER_SEMAPHORE);
 printf( " Message Queues       - maximum_message_queues * %d\n", PER_MSGQ );
-printf( " Messages             - maximum_messages * %d\n",   PER_MSG );
+printf( " Messages             -\n");
 printf( " Regions              - maximum_regions * %d\n",    PER_REGN );
 printf( " Partitions           - maximum_partitions * %d\n", PER_PART );
Index: c/src/tests/support/include/tmacros.h
===================================================================
--- c/src/tests/support/include/tmacros.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/support/include/tmacros.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  tmacros.h,v 1.2 1995/05/31 17:00:10 joel Exp
  */
 
@@ -70,5 +70,5 @@
   do { \
     char buffer[ 80 ]; \
-    printf( "<pause - screen %d> ", (_screen) ); fflush( stdout ); \
+    printf( "<pause - screen %d>", (_screen) ); fflush( stdout ); \
     gets( buffer ); \
     puts( "" ); \
Index: c/src/tests/tmtests/include/timesys.h
===================================================================
--- c/src/tests/tmtests/include/timesys.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/include/timesys.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  timesys.h,v 1.2 1995/05/31 17:13:45 joel Exp
  */
 
Index: c/src/tests/tmtests/tm01/system.h
===================================================================
--- c/src/tests/tmtests/tm01/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm01/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:14:01 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm02/system.h
===================================================================
--- c/src/tests/tmtests/tm02/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm02/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:14:12 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm03/system.h
===================================================================
--- c/src/tests/tmtests/tm03/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm03/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:14:23 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm04/system.h
===================================================================
--- c/src/tests/tmtests/tm04/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm04/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:14:33 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
